Posts by Rjs15

    So bin endlich dazu gekommen.


    Besten Dank Bernd läuft momentan jetzt wieder alles einwandfrei !

    Vielen herzlichen Dank für deine Hilfe und Bemühungen !

    Hi Bernd


    Es war eine vorinstallierte SD mit Noobs

    Sorry das ich mich ewigs nicht gemeldet habe.

    Im Screenshot die gewünschten Infos

    Ich kam leider am Wochenende nicht dazu eine andere Karte aufzutreiben oder zu kaufen.

    Habe Sie aber bestellt sollte eigentlich auch schon längst hier sein aber ist leider nicht der Fall.

    Ich melde mich sobald ich deine Vorschläge testen konnte.


    Danke :)

    Muss mal schauen ob ich noch eine Karte rumliegen habe.

    Ganz ehrlich war auch Plug n Play ^^ Kam vorinstalliert.

    Muss mal schauen wie man das macht wird nicht so schwierig sein denke ich.

    Muss ich aber morgen machen aber danke für deine Hilfe bis jetzt :)


    Kannst du dir vielleicht mal meine config und modules anschauen vielleicht ist auch da etwas falsch durch das ausprobieren von diversen Beiträgen.

    (Habe ich oben schonmal gepostet)


    Danke und schönen Abend

    Doch dann habe ich Spannugn auf SDA


    Also folgendes auch sehr speziell finde ich


    Raspi start ohne Remotezugriff

    SDA 3.3V -> GND

    SCL 3.3V -> GND

    Raspi beim Remotezugriff

    SDA 0V -> GND

    SCL 3.3V -> GND

    Raspi bei aktivem Remotezugriff und IC2 auschalten

    SDA 3.3V -> GND

    SCL 3.3V -> GND

    Raspi bei aktivem Remotezugriff und IC2 einschalten

    SDA 0V -> GND

    SCL 3.3V -> GND

    EDIT: Starten keine Scripte von mir oder so.

    An Programmen läuft..

    Node-Red

    MYSQL

    XRDP (Remotedesktop Service)

    Appache

    und der gleichen nichts was eigentlich meines erachtens Einfluss hätte aber anbei die ganzen Tasks..



    Nein ich meine Remotedesktop von Windows..

    Habe ich aber von beginn an so gemacht. Ich habe das natürlich noch nie gemessen aber es hatte vorhin alles funktioniert auch wenn ich auf den pi zugegriffen habe.


    Kein SSH Zugang


    Pin 3 hat aber in dem Fall keine Spannung mehr wen ich auf den Pi zugreife.


    Wie zum Beispiel ? Ich habe eigentlich meine Scripts aus dem Autostart entfernt aber ich schaue noch einmal nach.

    Also das ganze sieht wie folgt aus..


    Rote Messspitze /--> Schwarze Messspitze

    Pin 3 SDA /--> Pin 6 GND = 0V

    Pin 5 SCL /--> Pin 6 GND = 3.3V

    Pin 5 SCL /--> Pin 1 3.3V = 0V / Keine Veränderung durch den Befehl

    Pin 3 SDA /--> Pin 1 3.3V = -3.3V / Keine Veränderung durch den Befehl


    Wieso habe ich da eine Minus Spannung ?

    Ich muss auch anmerken das ich 3.3V Spannung auf SDA/-->GND habe solange ich nicht über Remotedesktop auf den Pi zugreife.

    Sobald ich auf ihn über Remotedesktop zugreife verschwindet die Spannung.

    Das verwirrt mich ziemlich .. Wie kommt das ? Oder ist das normal ?

    Ich hab ein Breadboard und Steckkabel mit den Zangen das sollte also kein Problem werden.

    Werde das am Abend ausprobieren und dir berichten. Besten Dank schon mal :)

    Also ich habe ja 2 nigelnagelneue Hats extra bestellt da ich gedacht habe das die vielleicht kaputt sind. Die müssten in Ordnung sein.

    ICh habe aber kein anderen Pi oder so wo ich die testen könnte. Aber eben die 2 neuen sind sicher i.O..


    Ja haben da so ein ganz normalen Multimeter wenn das ausreicht neheme es morgen mal mit nach Hause. Oszilloskop haben ich nicht.


    Bei dem Befehl kam folgendes dabei raus..

    Passt das so ?


    Also ich bin um jede Hilfe und jeden Versuch froh, auch wen es mühsam wird.

    Momentan kommt man ja nciht wirklich an einen neuen Pi also muss ich den irgendwie wieder zum laufen bringen.

    Sofern den der Pi das Problem ist.

    Hallo Bernd666


    Dankeschön für die Begrüssung


    Das heisst die HAT's die ich hier habe gehen nicht zum testen ?

    Ja hatte alles weg bis auf die HAT's resp. hab ich auch jeden einzeln ausprobiert.


    Momenatan nicht zuhause kann ich aber aus der Firma auslehnen.

    Wiederstände habe ich ein paar was für einer sollte es sein ?

    Led habe ich gerade keine bis auf sowas hier ..

    LED-Signalleuchte

    Guten Tag zusammen

    Vorweg ich bin ein Laie und baue mein erstes kleines Projekt. Meine Kenntnise sind noch relativ begrenzt also bitte ein wenig Nachsicht.

    Also sagt mir bitte wen ihr irgendetwas Wissen müsst was ich nicht erwähnt habe und bitte hängt mich nicht gleich für meine Anfängerskills.

    Es geht um meinen Pi der bis jetzt tadellos funktioniert hat. Ich muss mir zwar immer erst mein Wissen ergoogeln aber es hat 6 Monate einwandfrei funktioniert.

    Plötzlich erkennt er meine Relay/Input Hats nicht mehr. Ich verlinke Sie euch mal.

    https://sequentmicrosystems.co…-pi-relays-heavy-duty-hat

    Bis jetzt war es ziemlich einfach und plug n play, ich wollte jetzt eigentlich noch Temperatursensoren und Durchflussmesser mit anschliessen.

    Temperatur Sensoren / Durchflussmesser

    Was soweit auch im Test tadellos funktioniert hat. Vom einen auf den anderen Tag bekam ich plötzlich ein Fehler in meinem Script welchen ich bis jetzt nicht beheben konnte.

    Soweit ich mich eingelesen habe stammt das Problem von der I2C Verbindung zu den Hats her. Wieso kann ich leider nicht schildern ich habe nichts an der Verkabelung verändert in der Zwischenzeit. Oder an den Scripts welche das Problem auslösen.

    Folgender Fehler erscheint..

    Traceback (most recent call last):

    File "/usr/local/lib/python3.7/dist-packages/lib4relind-1.0.0-py3.7.egg/lib4relind/__init__.py", line 139, in get_relay_all

    val = __check(bus, DEVICE_ADDRESS + stack)

    File "/usr/local/lib/python3.7/dist-packages/lib4relind-1.0.0-py3.7.egg/lib4relind/__init__.py", line 51, in __check

    cfg = bus.read_byte_data(add, RELAY4_CFG_REG_ADD)

    TimeoutError: [Errno 110] Connection timed out


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/home/pi/Teich.py", line 394, in <module>

    Main()

    File "/home/pi/Teich.py", line 384, in Main

    DoRelaySwitch(0,0)

    File "/home/pi/Teich.py", line 235, in DoRelaySwitch

    rel = r.get_relay_all(RelayToSwitch[0])

    File "/usr/local/lib/python3.7/dist-packages/lib4relind-1.0.0-py3.7.egg/lib4relind/__init__.py", line 143, in get_relay_all

    raise RuntimeError("Unable to communicate with 4relind with exception " + str(e))

    RuntimeError: Unable to communicate with 4relind with exception [Errno 110] Connection timed out


    Ich habe schon neue Hats bestellt, weil ich dachte vielleicht habe ich Sie durch irgendetwas geschrottet aber das ist nicht der Fall mit den 2 Neuen ist es das selbe.

    Wenn ich I2CDetect benutze sieht es wie folgt aus...


    Kann es sein das ich irgendwie den Pi beschädigt habe ? Und wie könnte ich das testen ?

    Es kommt mir aber wirklich nichts in den Sinn was ich falsch gemacht habe, da alles funktioniert hat als ich den Pi verlassen habe und ich nur 3.3V zum testen benutzt habe.

    Ich hoffe echt das mir jemand von euch irgendwie weiterhelfen kann. Ich benutze das ganze für meine Teichsteuerung und es sollte so bald als möglich wieder funktionieren.

    Einen anderen Raspi kann ich leider nicht auftreiben und durch die schöne Lage auf dieser Kugel, krieg ich auch nicht so schnell einen Neuen.


    Besten Dank im Vorraus für eure Antworten !!